import e from "../node_modules/d3-array/src/min.js";
//#region ../../node_modules/d3-sankey/src/align.js
function t(e) {
	return e.target.depth;
}
function n(e) {
	return e.depth;
}
function r(e, t) {
	return t - 1 - e.height;
}
function i(e, t) {
	return e.sourceLinks.length ? e.depth : t - 1;
}
function a(n) {
	return n.targetLinks.length ? n.depth : n.sourceLinks.length ? e(n.sourceLinks, t) - 1 : 0;
}
//#endregion
export { a as center, i as justify, n as left, r as right };
